Bug 217083 - [PATCH] databases/kyototycoon: add rc.d script and daemon
Summary: [PATCH] databases/kyototycoon: add rc.d script and daemon
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-02-13 20:22 UTC by Dave Cottlehuber
Modified: 2017-05-20 21:56 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
v1 patch (4.45 KB, patch)
2017-02-13 20:22 UTC, Dave Cottlehuber
no flags Details | Diff
v2 patch (3.46 KB, patch)
2017-02-13 20:28 UTC, Dave Cottlehuber
no flags Details | Diff
v3 patch with corrected tabstops (1.47 KB, patch)
2017-02-14 14:01 UTC, Dave Cottlehuber
dch: maintainer-approval+
Details | Diff
v4 patch with indents and rc.conf (4.73 KB, patch)
2017-02-14 17:54 UTC, Dave Cottlehuber
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Cottlehuber freebsd_committer 2017-02-13 20:22:19 UTC
Created attachment 179960 [details]
v1 patch

This patch brings kyototycoon into line with other daemons - a start/stop script, and its own UID/GID.
Comment 1 Dave Cottlehuber freebsd_committer 2017-02-13 20:28:22 UTC
Created attachment 179961 [details]
v2 patch

# QA

portlint -C produces following acceptable warnings:

WARN: Makefile: possible use of absolute pathname "/var/log/${PORTNAME}".
WARN: Makefile: possible use of absolute pathname "/var/db/${PORTNAME}".
WARN: Makefile: possible use of absolute pathname "/var/run/${PORTNAME}...".

This is my first round of using svn for diffs I hope its OK.
Comment 2 Dave Cottlehuber freebsd_committer 2017-02-14 14:01:59 UTC
Created attachment 179988 [details]
v3 patch with corrected tabstops

Sorry, I made this port with incorrect tabstops - fixed.
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-02-14 16:25:06 UTC
(In reply to Dave Cottlehuber from comment #2)

The script is missing.
Comment 4 Dave Cottlehuber freebsd_committer 2017-02-14 17:54:27 UTC
Created attachment 179991 [details]
v4 patch with indents and rc.conf

Sorry, it seems I missed some step in my svn diff work, I am very embarrassed!

The attached patch via git diff is online at
https://github.com/skunkwerks/ports/commit/2f0cf402dec36704c0c13b7b275b93da8038253d.diff
https://github.com/skunkwerks/ports/commit/2f0cf402dec36704c0c13b7b275b93da8038253d.patch
Comment 5 Dave Cottlehuber freebsd_committer 2017-05-19 20:09:46 UTC
Is it possible at least to commit the UID/GID changes? This at least means I can keep bumping production ports tree without needing to re-chmod/chown all the files.

BTW rc.d script has been fine for several months here, let me know if you prefer
to make some changes
Comment 6 commit-hook freebsd_committer 2017-05-20 21:52:58 UTC
A commit references this bug:

Author: sunpoet
Date: Sat May 20 21:51:02 UTC 2017
New revision: 441350
URL: https://svnweb.freebsd.org/changeset/ports/441350

Log:
  Add rc.d script

  - Assign default UID and GID
  - Bump PORTREVISION for package change

  PR:		217083
  Submitted by:	Dave Cottlehuber <dch@skunkwerks.at>

Changes:
  head/GIDs
  head/UIDs
  head/databases/kyototycoon/Makefile
  head/databases/kyototycoon/files/kyototycoon.in
Comment 7 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-05-20 21:56:58 UTC
Committed. Thanks!